Skip to main content

GetStreamCaps

Retrieves stream capabilities including supported resolutions, encoding types, and frame rates.

Endpoint​

FieldValue
MethodPOST or GET
URLhttp://<host>[:port]/GetStreamCaps[/channelId]
ProductsIPC, NVR
Channel IDOptional (default 1)
v1.9 Only

On v2.0 devices, stream capabilities are embedded in GetVideoStreamConfig response attributes.

Response Fields​

FieldTypeDescription
rtspPortuint16RTSP streaming port
streamNamestringStream profile name
resolutionCapslistSupported resolutions with max frame rates
encodeTypeCapslistSupported encoding formats
encodeLevelCapslistSupported encoding profiles

Supported Encode Types​

TypeDescription
h264H.264 / AVC
mpeg4MPEG-4
mjpegMotion JPEG
h264plusH.264+ (smart codec)
h265plusH.265+ (smart codec)
h264smartH.264 Smart
h265smartH.265 Smart

Supported Encode Levels​

LevelDescription
baseLineBaseline profile
mainProfileMain profile
highProfileHigh profile

Response​

<?xml version="1.0" encoding="UTF-8"?>
<config version="1.0" xmlns="http://www.ipc.com/ver10">
<types>
<resolution>
<enum>1920x1080</enum>
<enum>1280x720</enum>
<enum>704x576</enum>
<enum>352x288</enum>
</resolution>
<encodeType>
<enum>h264</enum>
<enum>mpeg4</enum>
<enum>mjpeg</enum>
<enum>h264plus</enum>
<enum>h265plus</enum>
<enum>h264smart</enum>
<enum>h265smart</enum>
</encodeType>
<encodeLevel>
<enum>baseLine</enum>
<enum>mainProfile</enum>
<enum>highProfile</enum>
</encodeLevel>
</types>
<rtspPort type="uint16">554</rtspPort>
<streamList type="list" count="4">
<item id="1">
<streamName type="string"><![CDATA[profile1]]></streamName>
<resolutionCaps type="list" count="1">
<itemType type="resolution"/>
<item maxFrameRate="25">1920x1080</item>
</resolutionCaps>
<encodeTypeCaps type="list" count="1">
<itemType type="encodeType"/>
<item>h264</item>
</encodeTypeCaps>
<encodeLevelCaps type="list" count="3">
<itemType type="encodeLevel"/>
<item>baseLine</item>
<item>mainProfile</item>
<item>highProfile</item>
</encodeLevelCaps>
</item>
</streamList>
</config>

Notes​

  • Each stream profile lists its own supported resolutions, encode types, and encode levels.
  • The maxFrameRate attribute on resolution items indicates the maximum fps for that resolution.
  • Use this information to validate parameters before calling SetVideoStreamConfig.